FROM mcr.microsoft.com/dotnet/core/aspnet:2.2-stretch-slim AS base
WORKDIR /app
EXPOSE 80

FROM mcr.microsoft.com/dotnet/core/sdk:2.2-stretch AS build
WORKDIR /src
COPY ["N2L.PublicTransport.API.Comboios/N2L.PublicTransport.API.Comboios.csproj", "N2L.PublicTransport.API.Comboios/"]
RUN dotnet restore "N2L.PublicTransport.API.Comboios/N2L.PublicTransport.API.Comboios.csproj"
COPY . .
WORKDIR "/src/N2L.PublicTransport.API.Comboios"
RUN dotnet build "N2L.PublicTransport.API.Comboios.csproj" -c Release -o /app

FROM build AS publish
RUN dotnet publish "N2L.PublicTransport.API.Comboios.csproj" -c Release -o /app

FROM base AS final
WORKDIR /app
COPY --from=publish /app .
ENTRYPOINT ["dotnet", "N2L.PublicTransport.API.Comboios.dll"]
